Subject: Re: [RFC] acx100 inclusion in mainline; generic 802.11 stack

From: Jeff Garzik <[email-masked]>
Date: Thu, 02 Sep 2004 16:33:31 -0400

Vladimir Kondratiev wrote:
> Jeff,
> 
> On Tuesday 31 August 2004 21:21, Jeff Garzik wrote:
> JG> Denis Vlasenko wrote:
> JG> > I think 'senior' network guys are in position to decide upon which
> JG> > of currently available 802.11 stacks we should continue to work.
> JG> > (Atheros has one, said to be derived from BSD, is there any others?)
> JG>
> JG>
> JG> Already have.  Start with the code in wireless-2.6 -- HostAP -- and use
> JG> DaveM's 802.11 stack template as a model for actually integrating 802.11
> JG> very tightly with the rest of the net stack.
> JG>
> JG>
>  http://www.kernel.org/pub/linux/kernel/people/jgarzik/patchkits/2.6/davem-p8
> 0211.tar.bz2 
> 
> Is this stack the main one that is going to be used? I.e. if I am working on 
> driver for next generation .11 card - should I try to use it, request/submitt 
> missing features etc.? Or should I use wireless extensions?

DaveM's code is a template for how a wireless stack would look when 
properly and fully integrated into the net core.

Although JeanT and I disagree about this, I am less interested in 
backwards compatibility than I am about making wireless a "first class 
citizen" in the kernel.  As I have proven with kcompat 
(http://sf.net/projects/gkernel/) you can be backwards compatible while 
still evolving the current kernel driver API to meet current design needs.

	Jeff

-------------------------------------------------------
This SF.Net email is sponsored by BEA Weblogic Workshop
FREE Java Enterprise J2EE developer tools!
Get your free copy of BEA WebLogic Workshop 8.1 today.
http://ads.osdn.com/?ad_id=5047&alloc_id=10808&op=click